> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tupana.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultar cuenta bancaria

> Retorna la cuenta bancaria registrada para el destinatario.

## ¿Para qué se usa?

Consulta la cuenta bancaria registrada para un destinatario. Útil para verificar antes de crear cobros que el destinatario ya tiene cuenta bancaria.

## Qué hace

* Retorna la cuenta bancaria activa del destinatario y los datos del banco asociado (`bank_detail`).
* Devuelve `404` si el destinatario aún no registró cuenta bancaria.

## Consideraciones importantes

### Requisito previo para crear cobros

Para crear una sesión de cobro, el destinatario debe tener una cuenta bancaria registrada. Si no la tiene, `POST /v1/payment-requests/` retornará el error `RECIPIENT_MISSING_BANKING_INFO`.


## OpenAPI

````yaml api-reference/openapi-payment-requests.json GET /master-entities/{master_entity_id}/banking-info/
openapi: 3.0.0
info:
  title: Tupana API - Recaudación
  description: >-
    API de Cobros — Crea sesiones de pago, procesa cobros y emite DTE
    automáticamente.
  version: 1.0.0
servers:
  - url: https://api.tupana.ai/v1
    description: Servidor de producción
security:
  - apiKeyAuth: []
paths:
  /master-entities/{master_entity_id}/banking-info/:
    get:
      tags:
        - Cuenta bancaria
      summary: Consultar cuenta bancaria
      description: Retorna la cuenta bancaria registrada para el destinatario.
      operationId: getBankingInfo
      parameters:
        - name: master_entity_id
          in: path
          required: true
          description: ID del destinatario (MasterEntity).
          schema:
            type: string
      responses:
        '200':
          description: Cuenta bancaria del destinatario
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankingInfoResponse'
              example:
                id: 456
                bank: 7
                bank_detail:
                  id: 7
                  name: BANCO SANTANDER-CHILE
                  sbif_code: '037'
                  additional_brands: Banefe
                  is_active: true
                account_type: checking
                account_type_display: Cuenta Corriente
                account_number: '1234567890'
                include_in_emails: true
                created_at: '2026-04-06T12:00:00Z'
                updated_at: '2026-04-06T12:00:00Z'
        '401':
          description: API key inválida o no proporcionada
        '404':
          description: El destinatario no tiene cuenta bancaria registrada
      security:
        - apiKeyAuth: []
components:
  schemas:
    BankingInfoResponse:
      type: object
      properties:
        id:
          type: integer
          example: 456
        bank:
          type: integer
          description: ID en BD del banco.
          example: 7
        bank_detail:
          type: object
          description: Información expandida del banco.
          properties:
            id:
              type: integer
              example: 7
            name:
              type: string
              example: BANCO SANTANDER-CHILE
            sbif_code:
              type: string
              example: '037'
            additional_brands:
              type: string
              nullable: true
              example: Banefe
            is_active:
              type: boolean
              example: true
        account_type:
          type: string
          enum:
            - checking
            - savings
            - current
          example: checking
        account_type_display:
          type: string
          description: Etiqueta legible en español del tipo de cuenta.
          example: Cuenta Corriente
        account_number:
          type: string
          example: '1234567890'
        include_in_emails:
          type: boolean
          example: true
        created_at:
          type: string
          format: date-time
          example: '2026-04-06T12:00:00Z'
        updated_at:
          type: string
          format: date-time
          example: '2026-04-06T12:00:00Z'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'API Key para autenticación. Formato: `Api-Key YOUR-API-KEY`'

````